#!/bin/sh

# /*******************************************************************************
#  * Copyright 2003 Seapine Software, Inc. All rights reserved.
#  * 
#  * IMPORTANT:  This Software is supplied to you by Seapine Software, Inc. (Seapine)
#  * in consideration of your agreement to the following terms, and your use, installation,
#  * modification or redistribution of this Software constitutes acceptance of these terms.
#  * If you do not agree with these terms, please do not use, install, modify or redistribute
#  * this Software.
#  * 
#  * In consideration of your agreement to abide by the following terms, and subject to these
#  * terms, Seapine grants you a personal, non-exclusive license, under Seapine copyrights in
#  * this original Seapine software (the Software), to use, reproduce, modify and redistribute
#  * the Software, with or without modifications, in source and/or binary forms; provided that
#  * if you redistribute the Software in its entirety and without modifications, you must retain
#  * this notice and the following text and disclaimers in all such redistributions of the Software.
#  * Neither the name, trademarks, service marks or logos of Seapine, Inc. may be used to endorse
#  * or promote products derived from the Software without specific prior written permission from
#  * Seapine.  Except as expressly stated in this notice, no other rights or licenses, express or
#  * implied, are granted by Seapine herein, including but not limited to any patent rights that
#  * may be infringed by your derivative works or by other works in which the Software may be
#  * incorporated.
#  * 
#  * The Software is provided by Seapine on an "AS IS" basis.  SEAPINE MAKES NO WARRANTIES,
#  * EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION THE IMPLIED WARRANTIES OF NON-INFRINGEMENT,
#  * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, REGARDING THE SOFTWARE OR ITS USE AND
#  * OPERATION ALONE OR IN COMBINATION WITH YOUR PRODUCTS. 
#  * 
#  * IN NO EVENT SHALL SEAPINE BE LIABLE FOR ANY SPECIAL, INDIRECT, INCIDENTAL OR CONSEQUENTIAL
#  * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCU#ENT OF SUBSTITUTE GOODS OR SERVICES;
#  * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) ARISING IN ANY WAY OUT OF THE USE,
#  * REPRODUCTION, MODIFICATION AND/OR DISTRIBUTION OF THE SOFTWARE, HOWEVER CAUSED AND WHETHER
#  * UNDER THEORY OF CONTRACT, TORT (INCLUDING NEGLIGENCE), STRICT LIABILITY OR OTHERWISE, EVEN
#  * IF SEAPINE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#  ******************************************************************************/


# ***** The following line can be modified to save to another log file
SCM_LOG_FILE_OUTPUT=/var/log/SCMSampleLog.log

echo "Trigger $SSCM_TRIGGERDESC was fired on $SSCM_DATE at $SSCM_TIME." >> $SCM_LOG_FILE_OUTPUT
echo " $SSCM_TRIGGERDESC was fired $SSCM_BEFOREAFTER $SSCM_EVENT." >> $SCM_LOG_FILE_OUTPUT
echo "  $SSCM_USER ($SSCM_CLIENTIP - $SSCM_CLIENTMACHINE) performed a $SSCM_EVENT" >> $SCM_LOG_FILE_OUTPUT
echo "    in the mainline $SSCM_MAINLINE" >> $SCM_LOG_FILE_OUTPUT
echo "    in the branch $SSCM_BRANCH of type $SSCM_BRANCHTYPE" >> $SCM_LOG_FILE_OUTPUT
echo "    on the file $SSCM_REPOSITORY/$SSCM_FILE" >> $SCM_LOG_FILE_OUTPUT

if [ "$SSCM_DEFECTNUMBER" != "" ]; then
   echo "      Attached to defect number $SSCM_DEFECTNUMBER" >> $SCM_LOG_FILE_OUTPUT
fi

if [ "$SSCM_SOURCEBRANCH" != "" ]; then
   echo "      $SSCM_EVENT from branch $SSCM_SOURCEBRANCH to $SSCM_BRANCH" >> $SCM_LOG_FILE_OUTPUT
fi

if [ "$SSCM_FILEVERSION" != "" ]; then
   echo "      The new file version is $SSCM_FILEVERSION." >> $SCM_LOG_FILE_OUTPUT
fi

if [ "$SSCM_LOCALFILE" != "" ]; then
   echo "      The local file was accessible via $SSCM_LOCALFILE" >> $SCM_LOG_FILE_OUTPUT
fi

if [ "$SSCM_SHAREREPOSITORY" != "" ]; then
   echo "      The file was shared from $SSCM_SHAREREPOSITORY" >> $SCM_LOG_FILE_OUTPUT
fi

if [ "$SSCM_OLDFILENAME" != "" ]; then
   echo "      The file was renamed from $SSCM_OLDFILENAME to $SSCM_FILE" >> $SCM_LOG_FILE_OUTPUT
fi

if [ "$SSCM_PERMREMOVE" = "yes" ]; then
   echo "      The file was permanently removed." >> $SCM_LOG_FILE_OUTPUT
fi

echo "" >> $SCM_LOG_FILE_OUTPUT
